VULKAN_HPP_NAMESPACE::ShaderModule Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | ShaderModule ()
VULKAN_HPP_CONSTEXPR | ShaderModule (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | ShaderModule (VkShaderModule shaderModule)
ShaderModule & | operator= (std::nullptr_t)
bool | operator== (ShaderModule const &rhs) const
bool | operator!= (ShaderModule const &rhs) const
bool | operator< (ShaderModule const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkShaderModule () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkShaderModule | m_shaderModule

## Detailed Description

Definition at line 3346 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ShaderModule() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::ShaderModule::ShaderModule | ( |  | ) |

inline

Definition at line 3349 of file vulkan.hpp.

: m_shaderModule(VK_NULL_HANDLE)
{}

## ShaderModule() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::ShaderModule::ShaderModule | ( | std::nullptr_t |  | ) |

inline

Definition at line 3353 of file vulkan.hpp.

: m_shaderModule(VK_NULL_HANDLE)
{}

## ShaderModule() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::ShaderModule::ShaderModule | ( | VkShaderModule | shaderModule | ) |

inline

Definition at line 3357 of file vulkan.hpp.

: m_shaderModule( shaderModule )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::ShaderModule::operator bool | ( |  | ) | const

inline explicit

Definition at line 3397 of file vulkan.hpp.

{
return m_shaderModule != VK_NULL_HANDLE;
}

References m_shaderModule, and VK_NULL_HANDLE.

## operator VkShaderModule()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::ShaderModule::operator VkShaderModule | ( |  | ) | const

inline

Definition at line 3392 of file vulkan.hpp.

{
return m_shaderModule;
}

References m_shaderModule.

## operator!()

bool VULKAN_HPP_NAMESPACE::ShaderModule::operator! | ( |  | ) | const

inline

Definition at line 3402 of file vulkan.hpp.

{
return m_shaderModule == VK_NULL_HANDLE;
}

References m_shaderModule, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::ShaderModule::operator!= | ( | ShaderModule const & | rhs | ) | const

inline

Definition at line 3380 of file vulkan.hpp.

{
return m_shaderModule != rhs.m_shaderModule;
}

References m_shaderModule.

## operator<()

bool VULKAN_HPP_NAMESPACE::ShaderModule::operator< | ( | ShaderModule const & | rhs | ) | const

inline

Definition at line 3385 of file vulkan.hpp.

{
return m_shaderModule < rhs.m_shaderModule;
}

References m_shaderModule.

## operator=()

ShaderModule& VULKAN_HPP_NAMESPACE::ShaderModule::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3369 of file vulkan.hpp.

{
m_shaderModule = VK_NULL_HANDLE;
return *this;
}

References m_shaderModule, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::ShaderModule::operator== | ( | ShaderModule const & | rhs | ) | const

inline

Definition at line 3375 of file vulkan.hpp.

{
return m_shaderModule == rhs.m_shaderModule;
}

References m_shaderModule.

## Field Documentation

## m_shaderModule

VkShaderModule VULKAN_HPP_NAMESPACE::ShaderModule::m_shaderModule

private

Definition at line 3408 of file vulkan.hpp.

Referenced by operator bool(), operator VkShaderModule(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::ShaderModule::m_shaderModule
VkShaderModule m_shaderModule
Definition: vulkan.hpp:3408